package com.devsoap.json;

import org.junit.jupiter.api.Test;

import static com.devsoap.json.JsonAssert.assertThat;

public class DoubleAssertionTest {

    private static final String JSON = """
    {
      "positive": 1.2134,
      "negative": -1.321,
      "zero": 0.0000
    }
    """;

    @Test
    public void equals() {
        assertThat(JSON)
                .field("positive")
                .asDouble()
                .isEqualTo(1.2134D);
        assertThat(JSON)
                .field("negative")
                .asDouble()
                .isEqualTo(-1.321D);
        assertThat(JSON)
                .field("zero")
                .asDouble()
                .isEqualTo(0D);
    }

    @Test
    public void greaterThan() {
        assertThat(JSON)
                .field("positive")
                .asDouble()
                .isGreaterThan(0);
        assertThat(JSON)
                .field("negative")
                .asDouble()
                .isGreaterThan(-2);
        assertThat(JSON)
                .field("zero")
                .asDouble()
                .isGreaterThan(-1);
    }

    @Test
    public void lessThan() {
        assertThat(JSON)
                .field("positive")
                .asDouble()
                .isLessThan(2);
        assertThat(JSON)
                .field("negative")
                .asDouble()
                .isLessThan(0);
        assertThat(JSON)
                .field("zero")
                .asDouble()
                .isLessThan(1);
    }
}